Unit tgsn5r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, GSN5R_p;

function tgsn5r: String; 

implementation

function tgsn5r: String;
var
ISEED,N,K,_i,IERR :Integer;
RVEC :Array [0..5] of Real;
WKVEC :Array [0..2] of Real;
const
SIGMA :Array [0..5] of Real = ( 1.0,0.0,1.0,0.0,0.0,1.0 );
begin
Result := '';
ISEED := 831670774;
N := 2;
K := 3;
GSN5R(ISEED,N,K,SIGMA,RVEC,WKVEC,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 5 do
 begin
  Result := Result + Format('%20.16f ',[RVEC[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tgsn5r',Result);  {     tgsn5r.res }
exit;
end;

end.
